#pragma once

#include <glm/gtc/type_ptr.hpp>

namespace mt
{
  using namespace glm;

  template<typename T>
  T convert(vec2& v) { return T{ v.x, v.y }; }

  template<typename T>
  T convert(vec3& v) { return T{ v.x, v.y, v.z }; }
}
